/* $Id: IMessagingWriter.java 2810 2010-07-09 23:49:00Z jorge $

   Copyright 2006, Real-Time Innovations.
   All rights reserved.
   No duplications, whole or partial, manual or electronic, may be made
   without express written permission.  Any such copies, or
   revisions thereof, must display this notice unaltered.
   This code contains trade secrets of Real-Time Innovations, Inc.

modification history:
--------------------
09jul10,jsr Added new waitForPingResponse method
03may10,jsr Added waitForPingResponse and notifyPingResponse
01apr08,rbw Follow Java naming conventions
01apr08,rbw Created
=========================================================================== */


package com.rti.perftest;

import java.util.concurrent.TimeUnit;


// ===========================================================================

/**
 * Send messages.
 */
public interface IMessagingWriter {
    public void waitForReaders(int numReaders);

    public boolean send(TestMessage message);
    public boolean waitForPingResponse();
    public boolean waitForPingResponse(long timeout, TimeUnit unit);
    public boolean notifyPingResponse();

    public void flush();

}

// ===========================================================================
// End of $Id: IMessagingWriter.java 2810 2010-07-09 23:49:00Z jorge $
